Podręcznik PHP
Poprzedni |  | Następny

# apache_getenv

(PHP 4 >= 4.3.0, PHP 5)

apache_getenv -- Get an Apache subprocess_env variable

## Opis

string apache_getenv ( string variable [, bool walk_to_top] )

Get an Apache environment variable as specified by variable.

This function requires Apache 2 otherwise it's undefined.

## Parametry

variable

  The Apache environment variable

walk_to_top

  The walk_to_top parameter.

## Zwracane wartości

The value of the Apache environment variable on success, or `FALSE` on failure

## Przykłady

Przykład 1. functionname() example The example above shows how to retrieve the value of the Apache environment variable SERVER_ADDR.
`<?php $ret = apache_getenv("SERVER_ADDR"); echo $ret; ?>`
Powyższy przykład wyświetli coś podobnego do:
    42.24.42.240

## Patrz także

apache_sentenv()
getenv()
Superglobals

Poprzedni | Spis treści | Następny
apache_get_version | Początek rozdziału | apache_lookup_uri